<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>Directory statcvs/src/net/sf/statcvs/util/</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="Directory statcvs/src/net/sf/statcvs/util/">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a></div>
<dl class="attributes">
    <dt>Directory Created:</dt>
    <dd><span class="date">2002-07-26 13:01</span></dd>
    <dt>Total Files:</dt>
    <dd>9</dd>
    <dt>Deleted Files:</dt>
    <dd>6</dd>
    <dt>Lines of Code:</dt>
    <dd>1084</dd>
</dl>
<p><a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/">Browse with ViewVC</a></p>
<p class="dirtree">
<a href="dir.html">[root]</a>/<a href="dir_statcvs.html">statcvs</a>/<a href="dir_statcvs_src.html">src</a>/<a href="dir_statcvs_src_net.html">net</a>/<a href="dir_statcvs_src_net_sf.html">sf</a>/<a href="dir_statcvs_src_net_sf_statcvs.html">statcvs</a>/<strong>util</strong><br/>
</p>

<div class="section">
<subsection name ="Lines of Code">
<p class="chart"><img src="loc_module_statcvs_src_net_sf_statcvs_util.png" alt="statcvs/src/net/sf/statcvs/util/ Lines of Code" width="720" height="450" /></p></subsection></div>
<div class="section">
<subsection name ="Developers">
  <table  class="statCvsTable" rules="groups" summary="All authors and the number of their changes and lines of code in this directory">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Author</th>
        <th>Changes</th>
        <th>Lines of Code</th>
        <th>Lines per Change</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>101 (100.0%)</td>
        <td>2548 (100.0%)</td>
        <td>25.2</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th><a href="user_cyganiak.html" class="author">Richard Cyganiak</a></th>
        <td>55 (54.5%)</td>
        <td>1160 (45.5%)</td>
        <td>21.0</td>
      </tr>
      <tr  class="even">
        <th><a href="user_benoitx.html" class="author">Benoit Xhenseval</a></th>
        <td>10 (9.9%)</td>
        <td>658 (25.8%)</td>
        <td>65.8</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_lukasz.html" class="author">Lukasz Pekacki</a></th>
        <td>27 (26.7%)</td>
        <td>550 (21.6%)</td>
        <td>20.3</td>
      </tr>
      <tr  class="even">
        <th><a href="user_manschu.html" class="author">Manuel Schulze</a></th>
        <td>5 (5.0%)</td>
        <td>164 (6.4%)</td>
        <td>32.8</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_farkas.html" class="author">farkas</a></th>
        <td>1 (1.0%)</td>
        <td>8 (0.3%)</td>
        <td>8.0</td>
      </tr>
      <tr  class="even">
        <th><a href="user_mungady.html" class="author">mungady</a></th>
        <td>1 (1.0%)</td>
        <td>4 (0.2%)</td>
        <td>4.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_jkealey.html" class="author">Jason Kealey</a></th>
        <td>2 (2.0%)</td>
        <td>4 (0.2%)</td>
        <td>2.0</td>
      </tr>
    </tbody>
  </table>

</subsection></div>
<div class="section">
<subsection name ="Most Recent Commits">
<dl class="commitlist">
  <dt><a name="20"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:52</span>
  </dt>
  <dd>
    <p class="comment">
Fixing FindBugs warnings / bugs.
    </p>
    <p class="commitdetails"><strong>40</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.19&amp;r2=1.20" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+37&#160;-17)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?r1=1.15&amp;r2=1.16" class="webrepository">IntegerMap.java</a>&#160;<span class="change">(+3&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="19"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:22</span>
  </dt>
  <dd>
    <p class="comment">
Done an Eclipse cleanUp in order to reduce number of warnings by FindBugs / Checkstyle / PMD tools.<br />
Sorry if it is looking like a massive change...
    </p>
    <p class="commitdetails"><strong>618</strong> lines of code changed in <span class="files">8 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/ConsoleOutErrHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">ConsoleOutErrHandler.java</a>&#160;<span class="change">(+38&#160;-38)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/ConsoleOutHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">ConsoleOutHandler.java</a>&#160;<span class="change">(+9&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/CvsLogUtils.java?r1=1.4&amp;r2=1.5" class="webrepository">CvsLogUtils.java</a>&#160;<span class="change">(+102&#160;-105)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FilePatternMatcher.java?r1=1.2&amp;r2=1.3" class="webrepository">FilePatternMatcher.java</a>&#160;<span class="change">(+75&#160;-75)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.18&amp;r2=1.19" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+50&#160;-52)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?r1=1.14&amp;r2=1.15" class="webrepository">IntegerMap.java</a>&#160;<span class="change">(+225&#160;-225)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LogFormatter.java?r1=1.8&amp;r2=1.9" class="webrepository">LogFormatter.java</a>&#160;<span class="change">(+41&#160;-41)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LookaheadReader.java?r1=1.3&amp;r2=1.4" class="webrepository">LookaheadReader.java</a>&#160;<span class="change">(+78&#160;-78)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="18"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2006-12-09 12:37</span>
  </dt>
  <dd>
    <p class="comment">
Refactor:<br />
- OutputUtils.escapeHTML =&gt; HTML.escape<br />
- OutputUtils =&gt; ChartUtils<br />
- StatConstants.* =&gt; HTML.*
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/OutputUtils.java?rev=1.7&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">OutputUtils.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/StatConstants.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">StatConstants.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="17"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2006-12-05 22:08</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
Warn when all files were rejected by an (overly broad?) include/exclude pattern (bug 1146204)
    </p>
    <p class="commitdetails"><strong>9</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FilePatternMatcher.java?r1=1.1&amp;r2=1.2" class="webrepository">FilePatternMatcher.java</a>&#160;<span class="change">(+9&#160;-3)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="16"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2006-12-04 17:34</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.18</span></span>
  </dt>
  <dd>
    <p class="comment">
Bugfix: Copying binary files that contain ASCII #0 failed
    </p>
    <p class="commitdetails"><strong>3</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.17&amp;r2=1.18" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+3&#160;-3)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="15"></a>
    <a href="user_jkealey.html" class="author">Jason Kealey</a>
    <span class="date">2006-11-22 16:29</span>
  </dt>
  <dd>
    <p class="comment">
Refactoring of StatCVS so that StatSVN can properly extend it.<br />
Added StatSVN features: bugzilla integration, viewvc integration, xdoc export<br />
Many thanks to Benoit Xhenseval for refactoring both StatCVS and StatSVN and providing xdoc support.
    </p>
    <p class="commitdetails"><strong>4</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/OutputUtils.java?rev=1.7&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">OutputUtils.java</a>&#160;<span class="change">(+4&#160;-4)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/StatConstants.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">StatConstants.java</a>&#160;<span class="new">(new)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="14"></a>
    <a href="user_mungady.html" class="author">mungady</a>
    <span class="date">2006-06-14 11:47</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.8</span></span>
  </dt>
  <dd>
    <p class="comment">
Removed non-portable method call.
    </p>
    <p class="commitdetails"><strong>4</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LogFormatter.java?r1=1.7&amp;r2=1.8" class="webrepository">LogFormatter.java</a>&#160;<span class="change">(+4&#160;-6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="13"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-10-12 09:38</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.1</span></span>
  </dt>
  <dd>
    <p class="comment">
Package descriptions for Javadoc
    </p>
    <p class="commitdetails"><strong>11</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/package.html?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">package.html</a>&#160;<span class="new">(new&#160;11)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="12"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-10-12 08:22</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.14</span></span>
  </dt>
  <dd>
    <p class="comment">
Fixed lots of Eclipse warnings, mostly Javadoc related
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?r1=1.13&amp;r2=1.14" class="webrepository">IntegerMap.java</a>&#160;<span class="change">(+6&#160;-6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="11"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-10-10 12:29</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.3</span></span>
  </dt>
  <dd>
    <p class="comment">
Changed LookaheadReader to basically have java.util.Iterator semantics; parser and tests updated accordingly. This also fixes the infinite loop when a log ends prematurely.
    </p>
    <p class="commitdetails"><strong>67</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LookaheadReader.java?r1=1.2&amp;r2=1.3" class="webrepository">LookaheadReader.java</a>&#160;<span class="change">(+67&#160;-51)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="10"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-20 19:49</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.17</span></span>
  </dt>
  <dd>
    <p class="comment">
Oops, there was one more dependency on ConfigurationOptions in FileUtils.
    </p>
    <p class="commitdetails"><strong>3</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.16&amp;r2=1.17" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+3&#160;-14)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="9"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-17 15:02</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.12</span></span>
  </dt>
  <dd>
    <p class="comment">
removed DateUtils by inlining all its methods; it had a dependency on the Messages class which made re-use difficult.
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/DateUtils.java?rev=1.11&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">DateUtils.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="8"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-16 15:12</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.4</span></span>
  </dt>
  <dd>
    <p class="comment">
refactored unit tests for input package
    </p>
    <p class="commitdetails"><strong>37</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/CvsLogUtils.java?r1=1.3&amp;r2=1.4" class="webrepository">CvsLogUtils.java</a>&#160;<span class="change">(+37&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="7"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-06-04 22:50</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.3</span></span>
  </dt>
  <dd>
    <p class="comment">
- made first command line parameter (project name) optional<br />
<br />
- module name will be retrieved from the logfile and used as default<br />
<br />
- project name can be specified using new -title option
    </p>
    <p class="commitdetails"><strong>23</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/CvsLogUtils.java?r1=1.2&amp;r2=1.3" class="webrepository">CvsLogUtils.java</a>&#160;<span class="change">(+23&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="6"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-06-04 17:19</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.1</span></span>
  </dt>
  <dd>
    <p class="comment">
implemented [ 597955 ] Specify filename filters for actual code<br />
<br />
- FilePatternMatcher matches filenames against Ant-style wildcard patterns<br />
<br />
- new -include &lt;pattern-list&gt; and -exclude &lt;pattern-list&gt; command line switches to specify which files should be included in the analysis
    </p>
    <p class="commitdetails"><strong>117</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FilePatternMatcher.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FilePatternMatcher.java</a>&#160;<span class="new">(new&#160;117)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="5"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-06-03 10:26</span>
  </dt>
  <dd>
    <p class="comment">
moved some generic stuff from Builder to FileUtils and CvsLogUtils
    </p>
    <p class="commitdetails"><strong>58</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/CvsLogUtils.java?r1=1.1&amp;r2=1.2" class="webrepository">CvsLogUtils.java</a>&#160;<span class="change">(+21&#160;-3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.15&amp;r2=1.16" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+37&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="4"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-06-03 00:18</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
fixed javadoc warnings
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LookaheadReader.java?r1=1.1&amp;r2=1.2" class="webrepository">LookaheadReader.java</a>&#160;<span class="change">(+6&#160;-6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="3"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-06-01 18:48</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.1</span></span>
  </dt>
  <dd>
    <p class="comment">
heavy refactoring of the input package<br />
<br />
- rewrote CvsRevisionParser to get rid of its state machine design<br />
<br />
- added LookaheadReader which allows reading the same line multiple times<br />
<br />
- moved much responsibility from the parser classes to Builder<br />
<br />
- parser classes now look much more similiar to each other
    </p>
    <p class="commitdetails"><strong>167</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/CvsLogUtils.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsLogUtils.java</a>&#160;<span class="new">(new&#160;62)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LookaheadReader.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LookaheadReader.java</a>&#160;<span class="new">(new&#160;105)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="2"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-04-16 00:47</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.6</span></span>
  </dt>
  <dd>
    <p class="comment">
added "Lines of Code per Developer" chart and several small fixes
    </p>
    <p class="commitdetails"><strong>4</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/OutputUtils.java?rev=1.6&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">OutputUtils.java</a>&#160;<span class="change">(+4&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="1"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-04-14 00:04</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.11</span></span>
  </dt>
  <dd>
    <p class="comment">
re-organized output of dates for better consistency and css customizability
    </p>
    <p class="commitdetails"><strong>14</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/DateUtils.java?rev=1.11&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">DateUtils.java</a>&#160;<span class="change">(+14&#160;-26)</span>
      </li>
    </ul>
  </dd>

</dl>

<p>(42 more)</p>
</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>